unit Customer;

interface

uses
  System.SysUtils, System.Classes, JS, Web, WEBLib.Graphics, WEBLib.Controls,
  WEBLib.Forms, WEBLib.Dialogs,WEBLib.WebTools, WEBLib.Grids, Vcl.Controls, Vcl.Grids, WEBLib.DBCtrls, Data.DB, WEBLib.DB, WEBLib.CDS,
  Vcl.StdCtrls, WEBLib.StdCtrls;

type
  TForm2 = class(TWebForm)
    WebDBGrid1: TWebDBGrid;
    ConnectionCustomer: TWebClientConnection;
    CustomerDataset: TWebClientDataSet;
    CustomerDatasource: TWebDataSource;
    filter_value: TWebEdit;
    FilterValue: TWebLabel;
    FilterColumn: TWebLabel;
    filter_column: TWebComboBox;
    CustomerCount: TWebLabel;
    customer_count: TWebLabel;
    procedure setCustomerParameter(Sender: TObject);
    procedure seeDetails(Sender: TObject; ACol, ARow: Integer);
    procedure filterList(Sender: TObject);
    procedure setCustomerCount(DataSet: TDataSet);
  private
    { Private declarations }
  public
  end;

var
  Form2: TForm2;

implementation

{$R *.dfm}


procedure TForm2.filterList(Sender: TObject);
begin
with CustomerDataset do begin
Filtered := False;
CustomerDataset.Filter := 'FNumber LIKE '+ QuotedStr(filter_value.Text);
WriteLn(Filter);
Filtered := True;
end;
end;

procedure TForm2.seeDetails(Sender: TObject; ACol, ARow: Integer);
var
  i: Integer;
  compId: string;
  targetCustomerId: Integer;
begin
 targetCustomerId:= CustomerDataSource.DataSet.FieldByName('FNumber').AsInteger;
 compId := GetQueryParam('co001comp');
 WriteLn(targetCustomerId);
 WriteLn(compId);
Application.Navigate(window.location.protocol + Format('?co001comp=%s&cu001idno=%s',[compId,targetCustomerId.ToString]),ntPage);
end;

procedure TForm2.setCustomerCount(DataSet: TDataSet);
begin
customer_count.Caption := CustomerDataset.RecordCount.ToString;
end;

procedure TForm2.setCustomerParameter(Sender: TObject);
var param1: string;
begin
  param1 := GetQueryParam('co001comp');
  if param1 = '' then
  //Envoyer user a la page precedente car aucun parametre fournis
  else
  ConnectionCustomer.URI := Format('http://localhost:2001/tms/xdata/CrmService/GetCustomers?co001comp=%s', [param1]);
end;

end.